| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::FLAC::UnknownMetadataBlock Class Reference

`#include <flacunknownmetadatablock.h>`

Inheritance diagram for TagLib::FLAC::UnknownMetadataBlock:
[legend]
Collaboration diagram for TagLib::FLAC::UnknownMetadataBlock:
[legend]

## Public Member Functions
| UnknownMetadataBlock (int blockType, const ByteVector &data)
| ~UnknownMetadataBlock ()
int | code () const
void | setCode (int code)
ByteVector | data () const
void | setData (const ByteVector &data)
ByteVector | render () const
Public Member Functions inherited from TagLib::FLAC::MetadataBlock
| MetadataBlock ()
virtual | ~MetadataBlock ()
virtual int | code () const =0
virtual ByteVector | render () const =0

## Additional Inherited Members
Public Types inherited from TagLib::FLAC::MetadataBlock
enum | BlockType { StreamInfo = 0 , Padding , Application , SeekTable , VorbisComment , CueSheet , Picture }

## Constructor & Destructor Documentation

## ◆ UnknownMetadataBlock()

TagLib::FLAC::UnknownMetadataBlock::UnknownMetadataBlock | ( | int | blockType,
|  | const ByteVector & | data
| ) |  |

## ◆ ~UnknownMetadataBlock()

TagLib::FLAC::UnknownMetadataBlock::~UnknownMetadataBlock | ( |  | ) |

## Member Function Documentation

## ◆ code()

int TagLib::FLAC::UnknownMetadataBlock::code | ( |  | ) | const
| virtual

Returns the FLAC metadata block type.

Implements TagLib::FLAC::MetadataBlock.

## ◆ data()

ByteVector TagLib::FLAC::UnknownMetadataBlock::data | ( |  | ) | const

Returns the FLAC metadata block type.

## ◆ render()

ByteVector TagLib::FLAC::UnknownMetadataBlock::render | ( |  | ) | const
| virtual

Render the content of the block.

Implements TagLib::FLAC::MetadataBlock.

## ◆ setCode()

void TagLib::FLAC::UnknownMetadataBlock::setCode | ( | int | code | ) |

Sets the FLAC metadata block type.

## ◆ setData()

void TagLib::FLAC::UnknownMetadataBlock::setData | ( | const ByteVector & | data | ) |

Sets the FLAC metadata block type.

The documentation for this class was generated from the following file:

- flacunknownmetadatablock.h